# netdata go.d.plugin configuration for mysql
#
# This file is in YAML format. Generally the format is:
#
# name: value
#
# There are 2 sections:
#  - GLOBAL
#  - JOBS
#
#
# [ GLOBAL ]
# These variables set the defaults for all JOBs, however each JOB may define its own, overriding the defaults.
#
# The GLOBAL section format:
# param1: value1
# param2: value2
#
# Currently supported global parameters:
#  - update_every
#    Data collection frequency in seconds. Default: 1.
#
#  - autodetection_retry
#    Re-check interval in seconds. Attempts to start the job are made once every interval.
#    Zero means not to schedule re-check. Default: 0.
#
#  - priority
#    Priority is the relative priority of the charts as rendered on the web page,
#    lower numbers make the charts appear before the ones with higher numbers. Default: 70000.
#
#
# [ JOBS ]
# JOBS allow you to collect values from multiple sources.
# Each source will have its own set of charts.
#
# IMPORTANT:
#  - Parameter 'name' is mandatory.
#  - Jobs with the same name are mutually exclusive. Only one of them will be allowed running at any time.
#
# This allows autodetection to try several alternatives and pick the one that works.
# Any number of jobs is supported.
#
# The JOBS section format:
#
# jobs:
#   - name: job1
#     param1: value1
#     param2: value2
#
#   - name: job2
#     param1: value1
#     param2: value2
#
#   - name: job2
#     param1: value1
#
#
# [ List of JOB specific parameters ]:
#  - dsn
#    Data Source Name.
#    Format: [username[:password]@][protocol[(address)]]/dbname[?param1=value1&...&paramN=valueN]
#    Except for the databasename, all values are optional. So the minimal DSN is: /dbname
#    If you do not want to preselect a database, leave dbname empty: /
#    Full description: https://github.com/go-sql-driver/mysql#dsn-data-source-name
#    Syntax:
#     dsn: netdata@tcp(127.0.0.1:3306)/
#
#  - my.cnf
#    Specifies my.cnf file to read connection parameters from under the [client] section
#    Syntax:
#     my.cnf: '/etc/my.cnf'
#
#  - timeout
#    Query timeout in seconds. Default 1 second.
#    Syntax:
#      timeout: 1
#
#
# [ JOB defaults ]:
#  No parameters
#
#
# [ JOB mandatory parameters ]:
#  - name
#  - dsn
# ------------------------------------------------MODULE-CONFIGURATION--------------------------------------------------

# update_every: 1
# autodetection_retry: 0
# priority: 70000
# timeout: 1

jobs:
  # my.cnf
  - name: local
    my.cnf: '/etc/my.cnf'

  - name: local
    my.cnf: '/etc/mysql/my.cnf'

  - name: local
    my.cnf: '/etc/mysql/debian.cnf'

  # root
  - name: local
    dsn: root@unix(/var/run/mysqld/mysqld.sock)/

  - name: local
    dsn: root@unix(/var/run/mysqld/mysql.sock)/

  - name: local
    dsn: root@unix(/var/lib/mysql/mysql.sock)/

  - name: local
    dsn: root@unix(/tmp/mysql.sock)/

  - name: local
    dsn: root@tcp(127.0.0.1:3306)/

  - name: local
    dsn: root@tcp([::1]:3306)/

  # netdata
  - name: local
    dsn: netdata@unix(/var/run/mysqld/mysqld.sock)/

  - name: local
    dsn: netdata@unix(/var/run/mysqld/mysql.sock)/

  - name: local
    dsn: netdata@unix(/var/lib/mysql/mysql.sock)/

  - name: local
    dsn: netdata@unix(/tmp/mysql.sock)/

  - name: local
    dsn: netdata@tcp(127.0.0.1:3306)/

  - name: local
    dsn: netdata@tcp([::1]:3306)/
